###########################################################################
# Powered by www.3ds.ir
###########################################################################

"ABAQUS/CAE plug-in file for Auto mesher plug-in"

from abaqusGui import *
import os, uti

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
verAbaqus = majorNumber * 1.0 + minorNumber * 0.1
if verAbaqus > 6.7:
    import _abqPluginUtils
    
thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)

# Use package syntax to avoid possible name clashes with other plugins
#
from autoMesher_3ds_ir.autoForm import autoForm

# Register commands
#
version = '1.1-3'
if verAbaqus < 6.7:
    status = "Auto Mesher Plug-in " + str(version) + " version was not registered because "\
             "it is not supported in Abaqus version " + str(uti.getVersion())
elif verAbaqus == 6.7:
    status = 'OK'
else:
    status = _abqPluginUtils.checkCompatibility('Auto Mesher', version)
if status == 'OK':
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=autoForm(toolset),
        buttonText='Tools|Auto Mesher...',
        messageId=AFXMode.ID_ACTIVATE,
        kernelInitString='import autoMesher_3ds_ir.autoKernel',
        applicableModules=["Part", "Assembly", "Mesh"],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in performs automated tet-meshing of all parts and instances in a model, Help: https://www.3ds.ir/useful-abaqus-plugins-download/',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
